/* CSS styles for AMS product page headers */

.ams-product-header-section div.et_pb_column {
	display: grid !important;
	grid-template-columns: repeat(2, 1fr);
	grid-template-areas: "productText productImg";
	column-gap: 4rem;
	row-gap: 2rem;
	align-items: center;
	min-height: 26rem !important;
}

.ams-product-header-section.mwf {
	background-image: url("../png/moisture-wicking-fabric.png") !important;
}

.ams-product-header-section::after {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	background: rgb(3, 48, 93);
	background: linear-gradient(125deg, var(--ams-grey-4) 20%, var(--ams-white) 100%);
	clip-path: polygon(0 0, 70% 0%, calc(70% - 10rem) 100%, 0% 100%);
	z-index: 0 !important;
}

.ams-product-header-text {
	grid-area: productText;
}

.ams-product-header-img {
	grid-area: productImg;
	width: 100%;
	height: 100%;
	max-width: 568px;
	max-height: 26rem;
	display: flex !important;
	justify-content: center !important;
	margin-bottom: 0 !important;
}

.ams-product-header-img img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	-webkit-object-fit: contain;
	-webkit-box-reflect: below -0.75rem
		linear-gradient(to bottom, rgba(255, 255, 255, 0) 65%, rgba(255, 255, 255, 0.1));
}

@media screen and (max-width: 980px) {
	.ams-product-header-section div.et_pb_column {
		min-height: 18rem !important;
	}
}

@media screen and (max-width: 768px) {
	.ams-product-header-section div.et_pb_column {
		grid-template-columns: repeat(1, 1fr);
		grid-template-areas:
			"productImg"
			"productText";
		min-height: unset !important;
	}

	.ams-product-header-section h2,
	.ams-product-header-section h1 {
		color: white !important;
	}

	.ams-product-header-section::after {
		content: none;
	}

	.ams-product-header-img {
		max-width: 100%;
		max-height: 16rem;
	}
}

/* Angle headers */

.ams-angle-header::before {
	content: "";
	display: block;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	background-image: inherit;
	filter: blur(15px);
	background-size: 50%;
	background-position: center right;
	width: 70% !important;
	border-radius: 0 0 33vw 0 !important;
	margin-top: -10px;
	margin-left: -10px;
	padding-bottom: 20px;
	padding-right: 20px;
}

.ams-angle-header {
	display: flex;
	flex-direction: column;
	justify-content: center;
	background-size: 50% auto !important;
	background-position: center right !important;
	overflow: hidden;
}

.ams-angle-header div.et_pb_row div.et_pb_column {
	max-width: 567px;
}

.ams-angle-header.blue::after,
.ams-angle-header.white::after,
.ams-angle-header.dark-blue::after,
.ams-angle-header.teal::after,
.ams-angle-header.grey::after {
	content: "";
	display: block;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	width: 70% !important;
	border-radius: 0 0 33vw 0 !important;
	background: rgb(70, 26, 70);
	background: linear-gradient(15deg, rgb(70, 26, 70) 20%, rgb(119, 43, 120, 0.95) 100%);
}

.ams-angle-header {
	background-size: 50% !important;
}

@media screen and (max-width: 980px) {
	.ams-angle-header div.et_pb_row div.et_pb_column {
		max-width: 50% !important;
	}
}

@media screen and (max-width: 768px) {
	.ams-angle-header::before,
	.ams-angle-header.blue::after,
	.ams-angle-header.white::after,
	.ams-angle-header.teal::after,
	.ams-angle-header.grey::after {
		content: none;
	}

	div.et_pb_section.ams-angle-header {
		background-size: cover !important;
	}

	.ams-angle-header div.et_pb_row div.et_pb_column {
		max-width: 100% !important;
	}
}

/* Overlay hero bg */

.ams-overlay-hero-bg-img,
.ams-overlay-hero-bg-img:after {
	background-size: 50% !important;
}

@media only screen and (max-width: 1520px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 55% !important;
	}

	.ams-angle-header {
		background-size: 55% !important;
	}
}

@media only screen and (max-width: 1380px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 60% !important;
	}

	.ams-angle-header {
		background-size: 60% !important;
	}
}

@media only screen and (max-width: 1260px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 65% !important;
	}

	.ams-angle-header {
		background-size: 65% !important;
	}
}

@media only screen and (max-width: 1170px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 70% !important;
	}

	.ams-angle-header {
		background-size: 70% !important;
	}
}

@media only screen and (max-width: 1080px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 75% !important;
	}

	.ams-angle-header {
		background-size: 75% !important;
	}
}

@media only screen and (max-width: 1010px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: 80% !important;
	}

	.ams-angle-header {
		background-size: 80% !important;
	}
}

@media only screen and (max-width: 980px) {
	.ams-overlay-hero-bg-img,
	.ams-overlay-hero-bg-img:after {
		background-size: cover !important;
	}

	.ams-angle-header {
		background-size: cover !important;
	}
}

/* Post featured images */

#ams-post-featured-image {
	position: absolute;
	z-index: -1;
	width: 50%;
	height: 100%;
	right: 0;
	top: 0;
	bottom: 0;
	left: 50%;
}

#ams-post-featured-image .et_pb_title_featured_container,
#ams-post-featured-image .et_pb_image_wrap {
	width: 100%;
	height: 100%;
}

#ams-post-featured-image img {
	width: 100%;
	height: 100%;
	object-fit: cover;

	-webkit-box-reflect: left;
}

@media screen and (max-width: 768px) {
	#ams-post-featured-image {
		width: 100%;
		left: 0;
	}
	#ams-post-featured-image img {
		-webkit-box-reflect: unset;
	}
}

/* AMS Reskin */

.et-db #et-boc div.et-l div.et_pb_section.ams-product-header-section {
	background-image: unset !important;
}

.et-db #et-boc div.et-l div.et_pb_section.ams-product-header-section::before {
	content: "";
	position: absolute;
	inset: 0;
	background: linear-gradient(15deg, var(--ams-purple-5) 0%, var(--ams-purple-4) 100%) !important;
	border-radius: 0 0 calc(425px / 2) 0;
}

.et-db #et-boc div.et-l div.et_pb_section.ams-product-header-section h1,
.et-db #et-boc div.et-l div.et_pb_section.ams-product-header-section h2 {
	color: var(--ams-white);
}

.et-db #et-boc div.et-l div.et_pb_section.ams-product-header-section div.lavender a {
	background-color: var(--ams-lavender);
	font-weight: 400;
	color: var(--ams-dark-blue) !important;
	cursor: pointer !important;
}

.et-db
	#et-boc
	div.et-l
	div.et_pb_section.ams-product-header-section
	a
	.ams-overlay-hero-bg-img::before {
	content: "";
	display: block;
	width: calc(100% - calc(calc(100% - min(90%, 1200px)) / 2));
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	background: rgb(3, 48, 93);
	background: linear-gradient(125deg, rgb(222, 222, 230) 20%, rgba(253, 253, 254) 100%);
	border-radius: 0 0 33vw 0;
}

.ams-overlay-hero-bg-img {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

@media (max-width: 980px) {
	.ams-overlay-hero-bg-img::before {
		content: "";
		display: block;
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		background: rgb(3, 48, 93);
		background: linear-gradient(125deg, rgb(222, 222, 230) 20%, rgba(253, 253, 254) 100%);
		opacity: 90%;
		border-radius: 0px;
	}
}
